<?php
// -------------------------------------------
// kirby snippet FOR jannikbeyerstedt.de

// copyright: Jannik Beyerstedt | https://jannikbeyerstedt.de
// license: http://www.gnu.org/licenses/gpl-3.0.txt GPLv3 License
// -------------------------------------------

if( $page->isHomePage() ) {
  $title = $site->title()->html();
}else if ($page->depth() == 2) {
  $title = $page->parent()->title()->html().': '.$page->title()->html().' | '.$site->title()->html();
}else {
  $title = $page->title()->html().' | '.$site->title()->html();
}
?>
<!DOCTYPE html>
<html lang="de">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width,initial-scale=1.0">
  <meta name="format-detection" content="telephone=no">
  <title><?php echo $title ?> </title>
  <meta name="description" content="<?php echo $site->description()->html() ?>">
  <meta name="keywords" content="<?php echo $site->keywords()->html() ?>">
  <meta name="author" content="<?php echo $site->author()->html() ?>" >
<?php if ($page->meta_robots()->html() != "") : ?>
  <meta name="robots" content="<?php echo $page->meta_robots()->html() ?>">
<?php endif; ?>

  <?php echo css('assets/css/foundation.css') ?>

  <?php echo css('assets/css/main.css') ?>

  <?php echo css('@auto') ?>

  <!-- Google web fonts -->
  <link href='https://fonts.googleapis.com/css?family=Alegreya+Sans:400,100,300,400italic,500,500italic,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=Crimson+Text:400,700' rel='stylesheet' type='text/css'>
  
  <?php echo css('assets/fonts/boon_logo.css') ?>
  
  <link rel="apple-touch-icon" sizes="57x57" href="<?php echo url('/assets/favicons/apple-touch-icon-57x57.png')?>">
  <link rel="apple-touch-icon" sizes="60x60" href="<?php echo url('/assets/favicons/apple-touch-icon-60x60.png')?>">
  <link rel="apple-touch-icon" sizes="72x72" href="<?php echo url('/assets/favicons/apple-touch-icon-72x72.png')?>">
  <link rel="apple-touch-icon" sizes="76x76" href="<?php echo url('/assets/favicons/apple-touch-icon-76x76.png')?>">
  <link rel="apple-touch-icon" sizes="114x114" href="<?php echo url('/assets/favicons/apple-touch-icon-114x114.png')?>">
  <link rel="apple-touch-icon" sizes="120x120" href="<?php echo url('/assets/favicons/apple-touch-icon-120x120.png')?>">
  <link rel="apple-touch-icon" sizes="144x144" href="<?php echo url('/assets/favicons/apple-touch-icon-144x144.png')?>">
  <link rel="apple-touch-icon" sizes="152x152" href="<?php echo url('/assets/favicons/apple-touch-icon-152x152.png')?>">
  <link rel="apple-touch-icon" sizes="180x180" href="<?php echo url('/assets/favicons/apple-touch-icon-180x180.png')?>">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-32x32.png')?>" sizes="32x32">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-194x194.png')?>" sizes="194x194">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-96x96.png')?>" sizes="96x96">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/android-chrome-192x192.png')?>" sizes="192x192">
  <link rel="icon" type="image/png" href="<?php echo url('/assets/favicons/favicon-16x16.png')?>" sizes="16x16">
  <link rel="manifest" href="<?php echo url('/assets/favicons/manifest.json')?>">
  <link rel="mask-icon" href="<?php echo url('/assets/favicons/safari-pinned-tab.svg')?>" color="#5bbad5">
  <link rel="shortcut icon" href="<?php echo url('/assets/favicons/favicon.ico')?>">
  <meta name="msapplication-TileColor" content="#da532c">
  <meta name="msapplication-TileImage" content="<?php echo url('/assets/favicons/mstile-144x144.png')?>">
  <meta name="msapplication-config" content="<?php echo url('/assets/favicons/browserconfig.xml')?>">
  <meta name="theme-color" content="#ffffff">

</head>
<body>
