<?php
// -------------------------------------------
// kirby snippet FOR jannikbeyerstedt.de

// copyright: Jannik Beyerstedt | https://jannikbeyerstedt.de
// license: http://www.gnu.org/licenses/gpl-3.0.txt GPLv3 License
// -------------------------------------------

if( $page->isHomePage() ) {
  $title = $site->title()->html();
}else if ($page->depth() == 2) {
  $title = $page->parent()->title()->html().': '.$page->title()->html();
}else {
  $title = $page->title()->html().' | '.$site->title()->html();
}
?>
<!DOCTYPE html>
<html lang="de">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width,initial-scale=1.0">
  <title><?php echo $title ?> </title>
  <meta name="description" content="<?php echo $site->description()->html() ?>">
  <meta name="keywords" content="<?php echo $page->tags()->html() ?>">
  <meta name="author" content="<?php echo $site->author()->html() ?>" >
<?php if ($page->meta_robots()->html() != "") : ?>
  <meta name="robots" content="<?php echo $page->meta_robots()->html() ?>">
<?php endif; ?>

  <?php echo css('assets/css/foundation.css') ?>

  <?php echo css('assets/css/main.css') ?>

  <?php echo css('assets/css/blog.css') ?>

  <!-- Google web fonts -->
  <link href='https://fonts.googleapis.com/css?family=Alegreya+Sans:400,100,300,400italic,500,500italic,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=Crimson+Text:400,700' rel='stylesheet' type='text/css'>
</head>
<body>
